{% if app.user %}
    <div class="ls-sidebar">
        <section class="ls-sidebar-coll-logo">
            {% if app.user.structure %}
                {# idelibre ne gere pas encore les logos par collectivités #}
                {# <img alt="Logo de la ville" src="{{ asset('assets/img/editor_logo.png') }}"> #}
                <b>{{ app.user.structure.name }}</b>
            {% else %}
                <span>Administration</span>
            {% endif %}
        </section>
        <section class="ls-sidebar-menu">
            <ul class="main-menu">
                {% if  app.user.structure %}
                    {% if is_granted('ROLE_MANAGE_SITTINGS') %}
                        <li class="{{ 'sitting-nav' in activeNavs ? 'active' : '' }}">
                            <a href="{{ path('sitting_index') }}">
                                <i class="ls-font ls-seance"></i>
                                <span>Séances</span>
                            </a>
                            <ul class="sub-menu">
                                <li class="{{ 'sitting-active-nav' in activeNavs ? 'active' : '' }}">
                                    <a href="{{ path('sitting_index', {status: 'active'}) }}">
                                        En cours
                                    </a>
                                </li>
                                <li class="{{ 'sitting-archived-nav' in activeNavs ? 'active' : '' }}">
                                    <a href="{{ path('sitting_index', {status: 'archived'}) }}">
                                        Classées
                                    </a>
                                </li>
                            </ul>
                        </li>
                    {% endif %}

                    {% if is_granted('ROLE_MANAGE_USERS') %}
                        <li class="{{ 'user-nav' in activeNavs ? 'active' : '' }}">
                            <a href="{{ path('user_index') }}">
                                <i class="fas fa-user"></i>
                                <span>Utilisateurs</span>
                            </a>
                            <ul class="sub-menu">
                            </ul>
                        </li>
                    {% endif %}

                    {% if is_granted('ROLE_MANAGE_PARTIES') %}
                        <li class="{{ 'party-nav' in activeNavs ? 'active' : '' }}">
                            <a href="{{ path('party_index') }}">
                                <i class="fas fa-users"></i>
                                <span>Groupes politiques</span>
                            </a>
                            <ul class="sub-menu">
                            </ul>
                        </li>
                    {% endif %}

                    {% if is_granted('ROLE_MANAGE_TYPES') %}
                        <li class="{{ 'type-nav' in activeNavs ? 'active' : '' }}">
                            <a href="{{ path('type_index') }}">
                                <i class="fas fa-tag"> </i>
                                <span>Types de séance</span>
                            </a>
                            <ul class="sub-menu">
                            </ul>
                        </li>
                    {% endif %}

                    {% if is_granted('ROLE_MANAGE_THEMES') %}
                        <li class="{{ 'theme-nav' in activeNavs ? 'active' : '' }}">
                            <a href="{{ path('theme_index') }}">
                                <i class="fas fa-book"></i>
                                <span>Thèmes</span>
                            </a>
                            <ul class="sub-menu">
                            </ul>
                        </li>
                    {% endif %}

                    {% if is_granted('ROLE_MANAGE_EMAIL_TEMPLATES') %}
                        <li class="{{ 'email-template-nav' in activeNavs ? 'active' : '' }}">
                            <a href="{{ path('email_template_index') }}">
                                <i class="fas fa-envelope"></i>
                                <span>Modèles d'email</span>
                            </a>
                            <ul class="sub-menu">
                            </ul>
                        </li>
                    {% endif %}

                    {% if is_granted('ROLE_STRUCTURE_ADMIN') %}
                        <li class="{{ 'structure-preference-nav' in activeNavs ? 'active' : '' }}">
                        <a href="{{ path('structure_preferences') }}">
                            <i class="fas fa-info-circle"></i>
                            <span>Informations</span>
                        </a>
                        <ul class="sub-menu">
                        </ul>
                    {% endif %}</li>


                    {% if is_granted('ROLE_MANAGE_CONNECTORS') %}
                        <li class="{{ 'configurations-nav' in activeNavs ? 'active' : '' }}">
                            <a href="{{ path('connector_index') }}">
                                <i class="fas fa-cog"></i>
                                <span>Configurations</span>
                            </a>
                            <ul class="sub-menu">


                                <li class="{{ 'connector-configuration-nav' in activeNavs ? 'active' : '' }}">
                                    <a href="{{ path('connector_index') }}">
                                        Connecteurs
                                    </a>
                                </li>
                                <li class="{{ 'connector-api-key-nav' in activeNavs ? 'active' : '' }}">
                                    <a href="{{ path('apiUser_index') }}">
                                        Clés d'API
                                    </a>
                                </li>
                                <li class="{{ 'configuration-nav' in activeNavs ? 'active' : '' }}">
                                    <a href="{{ path('configuration_index') }}">
                                        Configuration
                                    </a>
                                </li>
                            </ul>
                        </li>
                    {% endif %}

                    {% if is_granted('ROLE_MANAGE_GDPR') %}
                        <li class="{{ 'gdpr-data-controller-nav' in activeNavs ? 'active' : '' }}">
                            <a href="{{ path('gdpr_controller_edit') }}">
                                <i class="fas fa-tachometer-alt"></i>
                                <span>RGPD</span>
                            </a>
                            <ul class="sub-menu">
                            </ul>
                        </li>
                    {% endif %}

                    {% if is_granted('ROLE_SHOW_EVENT_LOG') %}
                        <li class="{{ 'event-log-nav' in activeNavs ? 'active' : '' }}">
                            <a href="{{ path('event_log_index') }}">
                                <i class="fa-solid fa-newspaper"></i>
                                <span>Journal</span>
                            </a>
                            <ul class="sub-menu">
                            </ul>
                        </li>
                    {% endif %}

                    {% if is_granted('ROLE_MANAGE_SITTINGS') %}
                        <li class="{{ 'board-nav' in activeNavs ? 'active' : '' }}">
                            <a href="{{ path('board_index') }}">
                                <i class="fas fa-tachometer-alt"></i>
                                <span>Tableau de bord</span>
                            </a>
                            <ul class="sub-menu">
                            </ul>
                        </li>
                    {% endif %}


                    {% if is_granted('ROLE_VISUALIZE_SITTING') %}
                        <li class="{{ 'board-nav' in activeNavs ? 'active' : '' }}">
                            <a href="{{ path('easy_sitting_index') }}">
                                <i class="ls-font ls-seance"></i>
                                <span>Consulter les séances</span>
                            </a>
                            <ul class="sub-menu">
                            </ul>
                        </li>
                    {% endif %}

                {% endif %}

                {% if is_granted('ROLE_MANAGE_STRUCTURES') %}
                    <li class="{{ 'platform-nav' in activeNavs ? 'active' : '' }}">
                        <a href="#">
                            <i class="fas fa-cogs"> </i>
                            <span>Plateforme</span>
                        </a>
                        <ul class="sub-menu">
                            {% if is_granted('ROLE_SUPERADMIN') %}
                                <li class="{{ 'group-nav' in activeNavs ? 'active' : '' }}">
                                    <a href="{{ path('group_index') }}">
                                        Groupes
                                    </a>
                                </li>
                            {% endif %}
                            <li class="{{ 'structure-nav' in activeNavs ? 'active' : '' }}">
                                <a href="{{ path('structure_index') }}">
                                    Structures
                                </a>
                            </li>

                            <li class="{{ 'admin-nav' in activeNavs ? 'active' : '' }}">
                                <a href="{{ path('admin_index') }}">
                                    Administrateurs
                                </a>
                            </li>

                            {% if is_granted('ROLE_SUPERADMIN') %}
                                <li class="{{ 'gdpr-nav' in activeNavs ? 'active' : '' }}">
                                    <a href="{{ path('gdpr_edit') }}">
                                        RGPD
                                    </a>
                                </li>
                                <li class="{{ 'check-nav' in activeNavs ? 'active' : '' }}">
                                    <a href="{{ path('check_index') }}">
                                        Vérifications
                                    </a>
                                </li>
                                <li class="{{ 'statistic-nav' in activeNavs ? 'active' : '' }}">
                                    <a href="{{ path('statistic_index') }}">
                                        Statistiques
                                    </a>
                                </li>
                            {% endif %}
                        </ul>
                    </li>
                {% endif %}
            </ul>
        </section>
    </div>
{% endif %}